# Google Search API Wrapper

这是一个使用Rust和Actix-web框架封装的Google Search API服务。

## 功能特性

- 提供RESTful API接口
- 支持JSON格式的请求和响应
- 异步处理提高性能
- 环境变量配置

## 技术栈

- [Actix-web](https://actix.rs/) - Rust的Web框架
- [Reqwest](https://docs.rs/reqwest/) - HTTP客户端
- [Tokio](https://tokio.rs/) - 异步运行时
- [Serde](https://serde.rs/) - 序列化/反序列化

## 快速开始

1. 克隆仓库
   ```bash
   git clone https://github.com/your-repo/search.git
   cd search